<?php
// Register Navigation Menus
register_nav_menus( 
				array(
					'topo-menu'=> __('Menu Topo')
					) );



register_sidebar( array(
	'name'          => __( 'My Sidebar' ),
	'id'            => 'my-sidebar',
	'before_widget' => '<ul><li>',
	'after_widget'  => '</li></ul>',
	'before_title'  => '<h3>',
	'after_title'   => '</h3>')
);


add_theme_support ( 'post-thumbnails' );

load_theme_textdomain( 'default', TEMPLATEPATH.'/lang' );

wp_register_script( 'validator', get_bloginfo( 'template_directory') . '/js/validator.js', array( 'jquery' ), '1.0' );

wp_register_style( 'custom', get_bloginfo( 'template_directory') . '/css/custom.css' );


function new_excerpt_more( $more ) {
	return ' <a class="read-more" style="color:#666;" href="'. get_permalink( get_the_ID() ) . '"><br/>' . __('Ler Mais', 'www.ttrw.pt') . '</a>';
}
add_filter( 'excerpt_more', 'new_excerpt_more' );



if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'name' => 'Footer Widgets Left',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>',
    ));

if ( function_exists('register_sidebar') )
        register_sidebar(array(
            'name' => 'Footer Widgets Center',
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>',
        ));


if ( function_exists('register_sidebar') )
        register_sidebar(array(
            'name' => 'Footer Widgets Right',
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>',
        ));

?>